Bug 1264872 - Fedora 23 Workstation x86_64 Beta-1 fails to boot
Fedora 23 Workstation x86_64 Beta-1 fails to boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 08:04 EDT by Steve
Modified: 2016-12-20 09:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:40:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Standard with quiet and rhgb removed from kernel parameters (484.34 KB, image/jpeg)
2015-09-21 08:04 EDT, Steve
no flags Details
Failed boot then no modeset to get journel logs attached (2.42 MB, text/x-vhdl)
2015-09-21 08:44 EDT, Steve
no flags Details
journal log b-2 (384.30 KB, text/x-vhdl)
2015-09-23 07:05 EDT, Steve
no flags Details
journal log -b-1 (262.76 KB, text/plain)
2015-09-23 07:07 EDT, Steve
no flags Details
Failed boot with nouveau config (263.20 KB, text/plain)
2015-09-24 03:46 EDT, Steve
no flags Details
kernel options: noveau.config=War00c800_0=1 nouveau.runpm=0 (346.87 KB, text/plain)
2015-09-24 21:45 EDT, Steve
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 91722 None None None Never

  None (edit)
Description Steve 2015-09-21 08:04:22 EDT
Created attachment 1075488 [details]
Standard with quiet and rhgb removed from kernel parameters

Description of problem:

The installer hard locks while booting, removing rhgb from the kernel parameters allow the system to boot and run normally (external monitor also works in this state).
Installed to disk then:
System hard locks while booting using both normal and rescue modes.
Removing rhgb from the kernel parameters does not fix the problem for either mode.
Adding nomodeset kernel parameter allows it to boot (but no external monitor)
Or adding nouveau.noaccel=1 kernel parameter allows it to boot with both displays working (but totally unusable). 

Version-Release number of selected component (if applicable):

Fedora 23 Beta RC1 - Fedora-Live-Workstation-x86_64-23_Beta-1

How reproducible:

Every time


Steps to Reproduce:

1. Try to boot installer 
2. Try to boot installed installation

Actual results:

Fails to boot and hard locks with no numlock keyboard light activity when toggling the keyboard numlock key.


Expected results:

Boot-able working machine with external display working.


Additional info:

I have attached screenshots to show the state where it locks up, ie numlock key light doesn't function.
It is the hard drive installed version.

Laptop is a Toshiba w50 with a (standard not 4k screen) nvidia k2100m / NVE6 (GK106) video card.
http://www.mytoshiba.com.au/products/computers/tecra/w50/pt640a-00c007/specifications

It happens if the external monitor is connected to the dock or directly to the laptop (it also might even happen without any external display attached I have not tested that).
Comment 1 Steve 2015-09-21 08:37:29 EDT
[steve@w50 ~]$ su -c 'lspci -nn'
Password: 
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller [8086:0c04] (rev 06)
00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller [8086:0c01] (rev 06)
00:14.0 USB controller [0c03]: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI [8086:8c31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 [8086:8c3a] (rev 04)
00:16.3 Serial controller [0700]: Intel Corporation 8 Series/C220 Series Chipset Family KT Controller [8086:8c3d] (rev 04)
00:19.0 Ethernet controller [0200]: Intel Corporation Ethernet Connection I217-LM [8086:153a] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller [8086:8c20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #7 [8086:8c1c] (rev d4)
00:1c.1 PCI bridge [0604]: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #6 [8086:8c1a] (rev d4)
00:1c.2 PCI bridge [0604]: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #3 [8086:8c14] (rev d4)
00:1f.0 ISA bridge [0601]: Intel Corporation QM87 Express LPC Controller [8086:8c4f] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] [8086:8c03] (rev 04)
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK106GLM [Quadro K2100M] [10de:11fc] (rev a1)
01:00.1 Audio device [0403]: NVIDIA Corporation GK106 HDMI Audio Controller [10de:0e0b] (rev a1)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader [10ec:5227] (rev 01)
05:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6235 [8086:088e] (rev 24)
[steve@w50 ~]$
Comment 2 Steve 2015-09-21 08:44 EDT
Created attachment 1075518 [details]
Failed boot then no modeset to get journel logs attached

[steve@w50 ~]$ journalctl -b1 _COMM=gdm-x-session
Failed to get journal fields: Cannot assign requested address
-- Logs begin at Fri 2015-09-18 15:26:46 ACST, end at Mon 2015-09-21 22:00:20 ACST. --
[steve@w50 ~]$ journalctl -b _COMM=gdm-x-session >> /home/steve/journal.logs
Comment 3 Adam Williamson 2015-09-22 12:40:47 EDT
Steve: it's -b-1 , not -b1 . The log you attached is from the *current* boot, so not useful. '-b-1' means 'the logs from one boot ago'.
Comment 4 Steve 2015-09-22 20:21:08 EDT
I have tried that and got the same output?

[steve@w50 ~]$ journalctl -b-1 _COMM=gdm-x-session >> /home/steve/journal.log
Failed to get journal fields: Cannot assign requested address
[steve@w50 ~]$ journalctl -b -1 _COMM=gdm-x-session >> /home/steve/journal.log
Failed to get journal fields: Cannot assign requested address
Comment 5 Adam Williamson 2015-09-22 21:31:08 EDT
eh, then just skip the gdm-x-session bit and dump the whole log. It may be that it fails before it even makes it to GDM.
Comment 6 Steve 2015-09-23 07:05 EDT
Created attachment 1076163 [details]
journal log b-2
Comment 7 Steve 2015-09-23 07:07 EDT
Created attachment 1076167 [details]
journal log -b-1
Comment 8 Steve 2015-09-23 07:13:35 EDT
I have ran dnf update (which brings me to the latest beta?)
Then I rebooted with rhgb and quiet removed.
While booting the internal display just went black and I couldn't see anything but the numlock was working (journal log b-2)
Then I rebooted with rhgb and quiet removed again and it locked in the usual way (journal log -b-1)
Now I cannot see the letters as I am typing this without doing something (right click) to make the screen refresh.
Comment 9 Dan Mossor [danofsatx] 2015-09-23 09:27:41 EDT
I booted both the Workstation and KDE Live Beta images last night, and could not reproduce this with an nvidia GeForce GTX 660M, both without an external monitor attached, and with one connected through the hdmi port.

-1 Blocker, specific hardware configuration affected.
Comment 10 Adam Williamson 2015-09-23 11:15:03 EDT
Discussed at 2015-09-22 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-09-22/f23-blocker-review.2015-09-22-16.00.html . We agreed that this looks a lot like a specific hardware bug, and to evaluate how blocker-y those are, we need more data - other tests (like Dan's) and the diagnosis of what the actual problem is here. So the decision is delayed for now.
Comment 11 Adam Williamson 2015-09-23 11:17:11 EDT
For the record I also have an NVIDIA adapter using nouveau with two outputs - a 9600 GT - and am not seeing this. I see in the -b-1 log:

Sep 23 20:06:31 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
Sep 23 20:06:33 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
Sep 23 20:06:35 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
Sep 23 20:06:37 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] wait for idle timeout (en: 1, ctxsw: 0, busy: 1)
Sep 23 20:06:39 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] grctx template channel unload timeout
Sep 23 20:06:39 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] failed to construct context
Sep 23 20:06:39 w50.localdomain kernel: nouveau E[  PGRAPH][0000:01:00.0] init failed, -16
Sep 23 20:06:39 w50.localdomain gnome-session[1428]: nvc0_screen_create:716 - Error allocating PGRAPH context for M2MF: -16

which looks like it might be the issue.
Comment 12 Steve 2015-09-24 03:46 EDT
Created attachment 1076383 [details]
Failed boot with nouveau config

I tried the kernel option: nouveau.config=War00c800_0=1
Comment 13 Steve 2015-09-24 21:45 EDT
Created attachment 1076836 [details]
kernel options: noveau.config=War00c800_0=1 nouveau.runpm=0

Also tied with kernel options: noveau.config=War00c800_0=1 nouveau.runpm=0 and it still fails
Comment 14 Adam Williamson 2015-09-28 18:09:29 EDT
Discussed at 2015-09-28 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-09-28/f23-blocker-review.2015-09-28-16.01.html . So far all indications are that this is a fairly hardware-specific bug, too narrow to merit release blocker status. If it is found to affect a wider range of hardware than first thought, it may be re-proposed.
Comment 15 Steve 2015-09-28 20:31:10 EDT
I have tested and can confirm that using rawhide kernel 4.3.0-0.rc2.git1.2.fc24.x86_64 fixes the issues for me and boots using default options.
Comment 16 Steve 2015-09-28 20:31:57 EDT
Thanks
Comment 17 Maxim Prohorenko 2015-10-02 15:42:04 EDT
My toshiba boot with nouveau and old kernel

Linux qosmio 
4.3.0-0.rc2.git1.2.fc24.x86_64 
#1 SMP Tue Sep 22 23:53:17 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

but new kernels 
vmlinuz-4.3.0-0.rc3.git2.2.fc24.x86_64
vmlinuz-4.3.0-0.rc3.git3.2.fc24.x86_64

boot X11 only nv driver.
Comment 18 Maxim Prohorenko 2015-10-02 15:43:58 EDT
lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 3rd Gen Core processor DRAM Controller [8086:0154] (rev 09)
00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port [8086:0151] (rev 09)
00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4)
00:1c.1 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 [8086:1e12] (rev c4)
00:1c.4 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 5 [8086:1e18] (rev c4)
00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04)
00:1f.0 ISA bridge [0601]: Intel Corporation HM76 Express Chipset LPC Controller [8086:1e59] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e03] (rev 04)
00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller [8086:1e22] (rev 04)
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GF114M [GeForce GTX 670M] [10de:1213] (rev a1)
01:00.1 Audio device [0403]: NVIDIA Corporation GF114 HDMI Audio Controller [10de:0e0c] (rev a1)
07:00.0 Ethernet controller [0200]: Qualcomm Atheros AR8161 Gigabit Ethernet [1969:1091] (rev 10)
08:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 2230 [8086:0887] (rev c4)
09:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader [10ec:5229] (rev 01)
Comment 19 Maxim Prohorenko 2015-10-02 15:49:56 EDT
fpaste --sysinfo -d "my laptop" --confirm
http://ur1.ca/nwi44 -> http://paste.fedoraproject.org/274178/38153571
Comment 20 Maxim Prohorenko 2015-10-02 15:59:20 EDT
fpaste  -d "my laptop" --confirm --fullpath /var/log/Xorg.0.log /var/log/Xorg.0.log.old

http://ur1.ca/nwi61 -> http://paste.fedoraproject.org/274181/15850144
Comment 21 Steve 2015-10-13 00:43:15 EDT
I noticed with the newer (rc3+) kernels that I had to remove rhgb from the kernel options or I also got a black screen.
Comment 22 Fedora End Of Life 2016-11-24 07:32:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2016-12-20 09:40:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.